clan::PrimitivesArray Class Reference - ClanLib SDK
Description: clan::PrimitivesArray Class Reference

Public Member Functions | List of all members
clan::PrimitivesArray Class Reference
clanDisplay Display

Primitives array description. More...

`#include <primitives_array.h>`

## Public Member Functions
| PrimitivesArray ()
| Construct a null instance.
| PrimitivesArray (GraphicContext &gc)
| Constructs a PrimitivesArray.
| ~PrimitivesArray ()
PrimitivesArrayProvider * | get_provider () const
| Returns the target provider for the primitives array.
bool | is_null () const
| Returns true if this object is invalid.
| operator bool () const
void | set_attributes (int index, VertexArrayBuffer &buffer, int size, VertexAttributeDataType type, size_t offset=0, int stride=0, bool normalize=false)
| Set attributes.
void | set_attributes (int index, VertexArrayVector< char > &buffer, int size, bool normalize=false)
void | set_attributes (int index, VertexArrayVector< Colorf > &buffer)
void | set_attributes (int index, VertexArrayVector< float > &buffer)
void | set_attributes (int index, VertexArrayVector< float > &buffer, int size, bool normalize=false)
void | set_attributes (int index, VertexArrayVector< int > &buffer, int size, bool normalize=false)
void | set_attributes (int index, VertexArrayVector< short > &buffer, int size, bool normalize=false)
void | set_attributes (int index, VertexArrayVector< signed char > &buffer, bool normalize=false)
void | set_attributes (int index, VertexArrayVector< signed int > &buffer, bool normalize=false)
void | set_attributes (int index, VertexArrayVector< signed short > &buffer, bool normalize=false)
template<typename Type>
void | set_attributes (int index, VertexArrayVector< Type > &buffer, Colorf *member_offset)
template<typename Type>
void | set_attributes (int index, VertexArrayVector< Type > &buffer, float *member_offset)
template<typename Type>
void | set_attributes (int index, VertexArrayVector< Type > &buffer, signed char *member_offset, bool normalize=false)
template<typename Type>
void | set_attributes (int index, VertexArrayVector< Type > &buffer, signed int *member_offset, bool normalize=false)
template<typename Type>
void | set_attributes (int index, VertexArrayVector< Type > &buffer, signed short *member_offset, bool normalize=false)
template<typename Type>
void | set_attributes (int index, VertexArrayVector< Type > &buffer, unsigned char *member_offset, bool normalize=false)
template<typename Type>
void | set_attributes (int index, VertexArrayVector< Type > &buffer, unsigned int *member_offset, bool normalize=false)
template<typename Type>
void | set_attributes (int index, VertexArrayVector< Type > &buffer, unsigned short *member_offset, bool normalize=false)
template<typename Type>
void | set_attributes (int index, VertexArrayVector< Type > &buffer, Vec2b *member_offset, bool normalize=false)
template<typename Type>
void | set_attributes (int index, VertexArrayVector< Type > &buffer, Vec2f *member_offset)
template<typename Type>
void | set_attributes (int index, VertexArrayVector< Type > &buffer, Vec2i *member_offset, bool normalize=false)
template<typename Type>
void | set_attributes (int index, VertexArrayVector< Type > &buffer, Vec2s *member_offset, bool normalize=false)
template<typename Type>
void | set_attributes (int index, VertexArrayVector< Type > &buffer, Vec2ub *member_offset, bool normalize=false)
template<typename Type>
void | set_attributes (int index, VertexArrayVector< Type > &buffer, Vec2ui *member_offset, bool normalize=false)
template<typename Type>
void | set_attributes (int index, VertexArrayVector< Type > &buffer, Vec2us *member_offset, bool normalize=false)
template<typename Type>
void | set_attributes (int index, VertexArrayVector< Type > &buffer, Vec3b *member_offset, bool normalize=false)
template<typename Type>
void | set_attributes (int index, VertexArrayVector< Type > &buffer, Vec3f *member_offset)
template<typename Type>
void | set_attributes (int index, VertexArrayVector< Type > &buffer, Vec3i *member_offset, bool normalize=false)
template<typename Type>
void | set_attributes (int index, VertexArrayVector< Type > &buffer, Vec3s *member_offset, bool normalize=false)
template<typename Type>
void | set_attributes (int index, VertexArrayVector< Type > &buffer, Vec3ub *member_offset, bool normalize=false)
template<typename Type>
void | set_attributes (int index, VertexArrayVector< Type > &buffer, Vec3ui *member_offset, bool normalize=false)
template<typename Type>
void | set_attributes (int index, VertexArrayVector< Type > &buffer, Vec3us *member_offset, bool normalize=false)
template<typename Type>
void | set_attributes (int index, VertexArrayVector< Type > &buffer, Vec4b *member_offset, bool normalize=false)
template<typename Type>
void | set_attributes (int index, VertexArrayVector< Type > &buffer, Vec4f *member_offset)
template<typename Type>
void | set_attributes (int index, VertexArrayVector< Type > &buffer, Vec4i *member_offset, bool normalize=false)
template<typename Type>
void | set_attributes (int index, VertexArrayVector< Type > &buffer, Vec4s *member_offset, bool normalize=false)
template<typename Type>
void | set_attributes (int index, VertexArrayVector< Type > &buffer, Vec4ub *member_offset, bool normalize=false)
template<typename Type>
void | set_attributes (int index, VertexArrayVector< Type > &buffer, Vec4ui *member_offset, bool normalize=false)
template<typename Type>
void | set_attributes (int index, VertexArrayVector< Type > &buffer, Vec4us *member_offset, bool normalize=false)
void | set_attributes (int index, VertexArrayVector< unsigned char > &buffer, bool normalize=false)
void | set_attributes (int index, VertexArrayVector< unsigned char > &buffer, int size, bool normalize=false)
void | set_attributes (int index, VertexArrayVector< unsigned int > &buffer, bool normalize=false)
void | set_attributes (int index, VertexArrayVector< unsigned int > &buffer, int size, bool normalize=false)
void | set_attributes (int index, VertexArrayVector< unsigned short > &buffer, bool normalize=false)
void | set_attributes (int index, VertexArrayVector< unsigned short > &buffer, int size, bool normalize=false)
void | set_attributes (int index, VertexArrayVector< Vec2b > &buffer, bool normalize=false)
void | set_attributes (int index, VertexArrayVector< Vec2f > &buffer)
void | set_attributes (int index, VertexArrayVector< Vec2i > &buffer, bool normalize=false)
void | set_attributes (int index, VertexArrayVector< Vec2s > &buffer, bool normalize=false)
void | set_attributes (int index, VertexArrayVector< Vec2ub > &buffer, bool normalize=false)
void | set_attributes (int index, VertexArrayVector< Vec2ui > &buffer, bool normalize=false)
void | set_attributes (int index, VertexArrayVector< Vec2us > &buffer, bool normalize=false)
void | set_attributes (int index, VertexArrayVector< Vec3b > &buffer, bool normalize=false)
void | set_attributes (int index, VertexArrayVector< Vec3f > &buffer)
void | set_attributes (int index, VertexArrayVector< Vec3i > &buffer, bool normalize=false)
void | set_attributes (int index, VertexArrayVector< Vec3s > &buffer, bool normalize=false)
void | set_attributes (int index, VertexArrayVector< Vec3ub > &buffer, bool normalize=false)
void | set_attributes (int index, VertexArrayVector< Vec3ui > &buffer, bool normalize=false)
void | set_attributes (int index, VertexArrayVector< Vec3us > &buffer, bool normalize=false)
void | set_attributes (int index, VertexArrayVector< Vec4b > &buffer, bool normalize=false)
void | set_attributes (int index, VertexArrayVector< Vec4f > &buffer)
void | set_attributes (int index, VertexArrayVector< Vec4i > &buffer, bool normalize=false)
void | set_attributes (int index, VertexArrayVector< Vec4s > &buffer, bool normalize=false)
void | set_attributes (int index, VertexArrayVector< Vec4ub > &buffer, bool normalize=false)
void | set_attributes (int index, VertexArrayVector< Vec4ui > &buffer, bool normalize=false)
void | set_attributes (int index, VertexArrayVector< Vec4us > &buffer, bool normalize=false)
void | throw_if_null () const
| Throw an exception if this object is invalid.

## Detailed Description

Primitives array description.

## Constructor & Destructor Documentation

## ◆ PrimitivesArray() [1/2]

clan::PrimitivesArray::PrimitivesArray | ( |  | ) |

Construct a null instance.

## ◆ PrimitivesArray() [2/2]

clan::PrimitivesArray::PrimitivesArray | ( | GraphicContext & | gc | ) |

Constructs a PrimitivesArray.

Parameters

  gc | = Graphic Context

## ◆ ~PrimitivesArray()

clan::PrimitivesArray::~PrimitivesArray | ( |  | ) |

## Member Function Documentation

## ◆ get_provider()

PrimitivesArrayProvider * clan::PrimitivesArray::get_provider | ( |  | ) | const

Returns the target provider for the primitives array.

## ◆ is_null()

bool clan::PrimitivesArray::is_null | ( |  | ) | const
| inline

Returns true if this object is invalid.

## ◆ operator bool()

clan::PrimitivesArray::operator bool | ( |  | ) | const
| inlineexplicit

## ◆ set_attributes() [1/66]

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayBuffer & | buffer,
|  | int | size,
|  | VertexAttributeDataType | type,
|  | size_t | offset = 0,
|  | int | stride = 0,
|  | bool | normalize = false )

Set attributes.

Parameters

  index | = value
  buffer | = Vertex Array Buffer
  size | = value
  type | = Vertex Attribute Data Type
  offset | = void
  stride | = value
  normalize | = bool

Referenced by set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), set_attributes(), and set_attributes().

## ◆ set_attributes() [2/66]

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< char > & | buffer,
|  | int | size,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_byte.

## ◆ set_attributes() [3/66]

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Colorf > & | buffer )
| inline

References set_attributes(), and clan::type_float.

## ◆ set_attributes() [4/66]

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< float > & | buffer )
| inline

References set_attributes(), and clan::type_float.

## ◆ set_attributes() [5/66]

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< float > & | buffer,
|  | int | size,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_float.

## ◆ set_attributes() [6/66]

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< int > & | buffer,
|  | int | size,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_int.

## ◆ set_attributes() [7/66]

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< short > & | buffer,
|  | int | size,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_short.

## ◆ set_attributes() [8/66]

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< signed char > & | buffer,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_byte.

## ◆ set_attributes() [9/66]

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< signed int > & | buffer,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_int.

## ◆ set_attributes() [10/66]

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< signed short > & | buffer,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_short.

## ◆ set_attributes() [11/66]

template<typename Type>

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Type > & | buffer,
|  | Colorf * | member_offset )
| inline

References set_attributes(), and clan::type_float.

## ◆ set_attributes() [12/66]

template<typename Type>

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Type > & | buffer,
|  | float * | member_offset )
| inline

References set_attributes(), and clan::type_float.

## ◆ set_attributes() [13/66]

template<typename Type>

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Type > & | buffer,
|  | signed char * | member_offset,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_byte.

## ◆ set_attributes() [14/66]

template<typename Type>

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Type > & | buffer,
|  | signed int * | member_offset,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_int.

## ◆ set_attributes() [15/66]

template<typename Type>

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Type > & | buffer,
|  | signed short * | member_offset,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_short.

## ◆ set_attributes() [16/66]

template<typename Type>

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Type > & | buffer,
|  | unsigned char * | member_offset,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_unsigned_byte.

## ◆ set_attributes() [17/66]

template<typename Type>

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Type > & | buffer,
|  | unsigned int * | member_offset,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_unsigned_int.

## ◆ set_attributes() [18/66]

template<typename Type>

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Type > & | buffer,
|  | unsigned short * | member_offset,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_unsigned_short.

## ◆ set_attributes() [19/66]

template<typename Type>

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Type > & | buffer,
|  | Vec2b * | member_offset,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_byte.

## ◆ set_attributes() [20/66]

template<typename Type>

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Type > & | buffer,
|  | Vec2f * | member_offset )
| inline

References set_attributes(), and clan::type_float.

## ◆ set_attributes() [21/66]

template<typename Type>

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Type > & | buffer,
|  | Vec2i * | member_offset,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_int.

## ◆ set_attributes() [22/66]

template<typename Type>

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Type > & | buffer,
|  | Vec2s * | member_offset,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_short.

## ◆ set_attributes() [23/66]

template<typename Type>

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Type > & | buffer,
|  | Vec2ub * | member_offset,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_unsigned_byte.

## ◆ set_attributes() [24/66]

template<typename Type>

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Type > & | buffer,
|  | Vec2ui * | member_offset,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_unsigned_int.

## ◆ set_attributes() [25/66]

template<typename Type>

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Type > & | buffer,
|  | Vec2us * | member_offset,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_unsigned_short.

## ◆ set_attributes() [26/66]

template<typename Type>

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Type > & | buffer,
|  | Vec3b * | member_offset,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_byte.

## ◆ set_attributes() [27/66]

template<typename Type>

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Type > & | buffer,
|  | Vec3f * | member_offset )
| inline

References set_attributes(), and clan::type_float.

## ◆ set_attributes() [28/66]

template<typename Type>

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Type > & | buffer,
|  | Vec3i * | member_offset,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_int.

## ◆ set_attributes() [29/66]

template<typename Type>

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Type > & | buffer,
|  | Vec3s * | member_offset,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_short.

## ◆ set_attributes() [30/66]

template<typename Type>

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Type > & | buffer,
|  | Vec3ub * | member_offset,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_unsigned_byte.

## ◆ set_attributes() [31/66]

template<typename Type>

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Type > & | buffer,
|  | Vec3ui * | member_offset,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_unsigned_int.

## ◆ set_attributes() [32/66]

template<typename Type>

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Type > & | buffer,
|  | Vec3us * | member_offset,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_unsigned_short.

## ◆ set_attributes() [33/66]

template<typename Type>

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Type > & | buffer,
|  | Vec4b * | member_offset,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_byte.

## ◆ set_attributes() [34/66]

template<typename Type>

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Type > & | buffer,
|  | Vec4f * | member_offset )
| inline

References set_attributes(), and clan::type_float.

## ◆ set_attributes() [35/66]

template<typename Type>

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Type > & | buffer,
|  | Vec4i * | member_offset,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_int.

## ◆ set_attributes() [36/66]

template<typename Type>

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Type > & | buffer,
|  | Vec4s * | member_offset,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_short.

## ◆ set_attributes() [37/66]

template<typename Type>

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Type > & | buffer,
|  | Vec4ub * | member_offset,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_unsigned_byte.

## ◆ set_attributes() [38/66]

template<typename Type>

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Type > & | buffer,
|  | Vec4ui * | member_offset,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_unsigned_int.

## ◆ set_attributes() [39/66]

template<typename Type>

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Type > & | buffer,
|  | Vec4us * | member_offset,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_unsigned_short.

## ◆ set_attributes() [40/66]

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< unsigned char > & | buffer,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_unsigned_byte.

## ◆ set_attributes() [41/66]

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< unsigned char > & | buffer,
|  | int | size,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_unsigned_byte.

## ◆ set_attributes() [42/66]

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< unsigned int > & | buffer,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_unsigned_int.

## ◆ set_attributes() [43/66]

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< unsigned int > & | buffer,
|  | int | size,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_unsigned_int.

## ◆ set_attributes() [44/66]

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< unsigned short > & | buffer,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_unsigned_short.

## ◆ set_attributes() [45/66]

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< unsigned short > & | buffer,
|  | int | size,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_unsigned_short.

## ◆ set_attributes() [46/66]

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Vec2b > & | buffer,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_byte.

## ◆ set_attributes() [47/66]

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Vec2f > & | buffer )
| inline

References set_attributes(), and clan::type_float.

## ◆ set_attributes() [48/66]

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Vec2i > & | buffer,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_int.

## ◆ set_attributes() [49/66]

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Vec2s > & | buffer,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_short.

## ◆ set_attributes() [50/66]

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Vec2ub > & | buffer,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_unsigned_byte.

## ◆ set_attributes() [51/66]

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Vec2ui > & | buffer,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_unsigned_int.

## ◆ set_attributes() [52/66]

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Vec2us > & | buffer,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_unsigned_short.

## ◆ set_attributes() [53/66]

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Vec3b > & | buffer,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_byte.

## ◆ set_attributes() [54/66]

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Vec3f > & | buffer )
| inline

References set_attributes(), and clan::type_float.

## ◆ set_attributes() [55/66]

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Vec3i > & | buffer,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_int.

## ◆ set_attributes() [56/66]

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Vec3s > & | buffer,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_short.

## ◆ set_attributes() [57/66]

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Vec3ub > & | buffer,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_unsigned_byte.

## ◆ set_attributes() [58/66]

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Vec3ui > & | buffer,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_unsigned_int.

## ◆ set_attributes() [59/66]

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Vec3us > & | buffer,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_unsigned_short.

## ◆ set_attributes() [60/66]

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Vec4b > & | buffer,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_byte.

## ◆ set_attributes() [61/66]

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Vec4f > & | buffer )
| inline

References set_attributes(), and clan::type_float.

## ◆ set_attributes() [62/66]

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Vec4i > & | buffer,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_int.

## ◆ set_attributes() [63/66]

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Vec4s > & | buffer,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_short.

## ◆ set_attributes() [64/66]

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Vec4ub > & | buffer,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_unsigned_byte.

## ◆ set_attributes() [65/66]

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Vec4ui > & | buffer,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_unsigned_int.

## ◆ set_attributes() [66/66]

void clan::PrimitivesArray::set_attributes | ( | int | index,
|  | VertexArrayVector< Vec4us > & | buffer,
|  | bool | normalize = false )
| inline

References set_attributes(), and clan::type_unsigned_short.

## ◆ throw_if_null()

void clan::PrimitivesArray::throw_if_null | ( |  | ) | const

Throw an exception if this object is invalid.

The documentation for this class was generated from the following file:

- primitives_array.h